## org.eclipse.ocl.ecore
Interface ElementType

All Superinterfaces:
  EClass, EClassifier, ElementType, EModelElement, ENamedElement, EObject, Notifier

    public interface ElementType

extends EClass, ElementType

A representation of the model object 'Element Type'.

See Also:
  `EcorePackage.getElementType()`

Field Summary

Fields inherited from interface org.eclipse.ocl.types.ElementType
`SINGLETON_NAME`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EClass

`getEAllAttributes, getEAllContainments, getEAllGenericSuperTypes, getEAllOperations, getEAllReferences, getEAllStructuralFeatures, getEAllSuperTypes, getEAttributes, getEGenericSuperTypes, getEIDAttribute, getEOperations, getEReferences, getEStructuralFeature, getEStructuralFeature, getEStructuralFeatures, getESuperTypes, getFeatureCount, getFeatureID, isAbstract, isInterface, isSuperTypeOf, setAbstract, setInterface`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.